Description

Add the ability to just output the raw content of the page that is matched. The user can then parse the content themselves in SPL

(such as rex). This way, the user can import things such as:

e JSON files
e HTML that is not valid or is rendered by Javascript (especially document.write() calls).
¢ Raw content that needs no parsing (like the Internet Storm Center status)

Subtasks:
Task # 1343: Allow empty selector on input page if raw content is included

Closed

Related issues:
Related to Website Input - Feature #1748: Add parsing of JSON fields New

02/16/2017

History

#1 - 01/19/2016 05:29 PM - Luke Murphey

- Description updated

#2 - 01/19/2016 06:21 PM - Luke Murphey

https://answers.splunk.com/answers/341483/website-input-another-device-to-scrape-information.htmi

#3 - 05/04/2016 04:26 PM - Luke Murphey
Here are some issues that would need to be addressed to get this to work:
1. how to handle source-typing.

1. For XML, it would need to output raw XML so that xpath could be used (
http://docs.splunk.com/Documentation/Splunk/6.0.7/SearchReference/Xpath) and KV_MODE=xmI

2. For JSON, the sourcetype would need to be such that Splunk would treat the content as JSON (using INDEXED_EXTRACTIONS = json)

2. How to handle the extra fields that are usually included as key-value pairs

#4 - 05/04/2016 04:27 PM - Luke Murphey

spath: http://docs.splunk.com/Documentation/Splunk/6.2.3/SearchReference/Spath

#5 - 05/14/2016 07:48 PM - Luke Murphey

Not sure how to output raw data and define sourcetype, index

#6 - 05/18/2016 06:30 AM - Luke Murphey

I currently have to strip endlines. To include endlines, | would need to configure a better line-break (
http://docs.splunk.com/Documentation/Splunk/6.2.2/Data/Indexmulti-lineevents).

#7 - 05/19/2016 10:00 PM - Luke Murphey

05/01/2024
https://answers.splunk.com/answers/341483/website-input-another-device-to-scrape-information.html
http://docs.splunk.com/Documentation/Splunk/6.0.7/SearchReference/Xpath
http://docs.splunk.com/Documentation/Splunk/6.2.3/SearchReference/Spath
http://docs.splunk.com/Documentation/Splunk/6.2.2/Data/Indexmulti-lineevents

- Status changed from New to Closed

#8 - 03/06/2017 09:05 PM - Luke Murphey
- Related to Feature #1748: Add parsing of JSON fields added

05/01/2024 22
